> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a maintenance issue



## OpenAPI

````yaml openapi-core.json POST /v1/maintenance/issues/{id}
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/maintenance/issues/{id}:
    post:
      tags:
        - Maintenance Issues
      summary: Update a maintenance issue
      operationId: maintenance_issues_update
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: The name of the maintenance issue.
                description:
                  type: string
                  description: A description of the maintenance issue.
                issue_category:
                  type: string
                  enum:
                    - heating_system
                    - air_conditioning
                    - appliance
                    - electricity
                    - exterior
                    - housing
                    - housekeeping
                    - locksmith
                    - pest_control
                    - painting
                    - plumbing
                    - other
                  description: The high-level category of the issue.
                issue_sub_category:
                  type: string
                  description: A more specific sub-category for the issue.
                status:
                  type: string
                  enum:
                    - open
                    - in_progress
                    - resolved
                  description: The status of the maintenance issue.
                priority:
                  type: number
                  minimum: 0
                  maximum: 4
                  description: >-
                    The priority of the issue, where higher numbers indicate
                    higher priority.
                type:
                  type: string
                  enum:
                    - customer_request
                    - internal
                    - planned
                  description: The type of the maintenance issue.
                photos:
                  type: array
                  items:
                    type: string
                customer_presence_requested:
                  type: boolean
                  description: >-
                    Whether the customer's presence is requested during the
                    maintenance visit.
                is_communal:
                  type: boolean
                  description: Whether the issue is in a communal area.
                assignee:
                  type: string
                  description: The ID of the user to assign the issue to.
                unit:
                  type: string
                  description: The ID of the unit the issue is associated with.
                application:
                  type: string
                  description: The ID of the application the issue is associated with.
                availability:
                  type: object
                  properties:
                    every_day:
                      type: boolean
                      description: Whether the customer is available every day.
                    days_available:
                      type:
                        - array
                        - 'null'
                      items:
                        type: number
                        minimum: 0
                        maximum: 6
                      description: >-
                        Days of the week the customer is available, where 0 is
                        Sunday and 6 is Saturday.
                    time_slots:
                      type:
                        - object
                        - 'null'
                      additionalProperties:
                        type: array
                        items:
                          type: object
                          properties:
                            start_time:
                              type: string
                              description: The start time of the slot.
                            end_time:
                              type: string
                              description: The end time of the slot.
                          required:
                            - start_time
                            - end_time
                      description: >-
                        Time slots, keyed by day of week, when the customer is
                        available.
                  required:
                    - every_day
                    - days_available
                    - time_slots
                  description: The availability of the customer for the maintenance visit.
                triage:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                      description: Whether triage is enabled for the issue.
                    portal_completion_session:
                      type:
                        - string
                        - 'null'
                      description: The session used to complete triage in the portal.
                    resolved:
                      type:
                        - boolean
                        - 'null'
                      description: Whether the triage step has been resolved.
                  required:
                    - enabled
                    - portal_completion_session
                    - resolved
                  description: Triage configuration for the maintenance issue.
      responses:
        '200':
          description: Returns the maintenance issue object if the update succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - maintenance.issue
                  name:
                    type:
                      - string
                      - 'null'
                    description: The name of the maintenance issue.
                  description:
                    type:
                      - string
                      - 'null'
                    description: A description of the maintenance issue.
                  issue_category:
                    type:
                      - string
                      - 'null'
                    enum:
                      - heating_system
                      - air_conditioning
                      - appliance
                      - electricity
                      - exterior
                      - housing
                      - housekeeping
                      - locksmith
                      - pest_control
                      - painting
                      - plumbing
                      - other
                      - null
                    description: The high-level category of the issue.
                  issue_sub_category:
                    type:
                      - string
                      - 'null'
                    description: A more specific sub-category for the issue.
                  status:
                    type: string
                    enum:
                      - open
                      - in_progress
                      - resolved
                    description: The status of the maintenance issue.
                  priority:
                    type: number
                    minimum: 0
                    maximum: 4
                    description: >-
                      The priority of the issue, where higher numbers indicate
                      higher priority.
                  type:
                    type: string
                    enum:
                      - customer_request
                      - internal
                      - planned
                    description: The type of the maintenance issue.
                  photos:
                    type: array
                    items:
                      type: string
                    description: IDs of files used as photos for the issue.
                  customer_presence_requested:
                    type: boolean
                    description: >-
                      Whether the customer's presence is requested during the
                      maintenance visit.
                  is_communal:
                    type: boolean
                    description: Whether the issue is in a communal area.
                  customer_request:
                    type: boolean
                    description: Whether the issue was raised by a customer.
                  resolved:
                    type: boolean
                    description: Whether the issue has been resolved.
                  resolved_at:
                    type:
                      - integer
                      - 'null'
                    description: The time at which the issue was resolved.
                  triage_enabled:
                    type: boolean
                    description: Whether triage is enabled for the issue.
                  triage_portal_completion_session:
                    type:
                      - string
                      - 'null'
                    description: The session used to complete triage in the portal.
                  triage_resolved:
                    type:
                      - boolean
                      - 'null'
                    description: Whether the triage step has been resolved.
                  availability_every_day:
                    type:
                      - boolean
                      - 'null'
                    description: Whether the customer is available every day.
                  availability_days:
                    type:
                      - array
                      - 'null'
                    items:
                      type: number
                      minimum: 0
                      maximum: 6
                    description: >-
                      Days of the week the customer is available, where 0 is
                      Sunday and 6 is Saturday.
                  availability_time_slots:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: array
                      items:
                        type: object
                        properties:
                          start_time:
                            type: string
                            description: The start time of the slot.
                          end_time:
                            type: string
                            description: The end time of the slot.
                        required:
                          - start_time
                          - end_time
                    description: >-
                      Time slots, keyed by day of week, when the customer is
                      available.
                  assignee:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The user the issue is assigned to.
                  unit:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The unit the issue is associated with.
                  application:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The application the issue is associated with.
                required:
                  - id
                  - created
                  - object
                  - name
                  - description
                  - issue_category
                  - issue_sub_category
                  - status
                  - priority
                  - type
                  - photos
                  - customer_presence_requested
                  - is_communal
                  - customer_request
                  - resolved
                  - resolved_at
                  - triage_enabled
                  - triage_portal_completion_session
                  - triage_resolved
                  - availability_every_day
                  - availability_days
                  - availability_time_slots
                  - assignee
                  - unit
                  - application
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````